GV(1)

NAME
gv-update-userconfig - update ~/.gv config file

SYNOPSIS
gv-update-userconfig [filename]

DESCRIPTION
gv-update-userconfig is a simple script to update an .gv config file to the current version of gv(1). You can specify a file which is used instead of .gv by using the optional filename argument. This is useful if the environment variable XUSERSEARCHPATH is used. This is done by removing all entries known to cause problems with the current version of GNU gv (i.e. the one the version of this program belongs to) and updating the version information in that file. This resets all problematic items back to the default values.

-h, --help, --usage
    displays a short help message

-r  removes all resources from ~/.gv that equal the default resources being shipped with GNU gv (ignoring whitespaces).

-n  switches to alternative navigation by adding resp. updating navigation resources to ~/.gv, i. e. after each page switch (except if selected by the page number) the page is scrolled to top (if switching forward) resp. to the bottom (if switching backward).

-N  switches to standard navigation by adding resp. updating navigation resources to ~/.gv.

-s  removes navigation resources from ~/.gv and therefore enables standard navigation.

-i  updates translation file. Using the optional filename parameter is strongly recommended for using this option. This option cannot be used together with any of the other options.

BACKGROUND
The $(HOME)/.gv file is written by GNU gv when activating the Save button in one of the configuration dialogs. The values in there are used, if there is no display-specific resource value (loaded from $(HOME)/.Xresources at login time or manually xrdb(1)). Sometimes older values miss things needed by the new GNU gv to work properly. This GNU gv will noticy by an old (or missing) version information in this file and refuse to start until fixed.

SEE ALSO
gv(1), xrdb(1).

COPYRIGHT
This manpage is Copyright © 2008 Bernhard R. Link and can be used, copied, distributed and/or modified without restrictions.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.